[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
RE: [equinox-dev] Trying to use DS

I am working on a little document that describes what we want to do.  It isn’t much.  I’ll probably have it tomorrow.

 

BTW, we have a working implementation of the IP part of the compendium.  Would you guys be interested in looking at it?  It is basic at this time, and doesn’t implement the RSH portion of the specification, but everything else is in there (plus at least one extension that should probably be included in the next version of the spec).

 

If you guys are interested in that, let me talk to the right people here about letting our oh-so-precious source code out of our control!!!

 

John Wells (Aziz)

jwells@xxxxxxxxxxxxx

 


From: equinox-dev-bounces@xxxxxxxxxxx [mailto:equinox-dev-bounces@xxxxxxxxxxx] On Behalf Of Jeff McAffer
Sent: Thursday, January 26, 2006 2:49 PM
To: Equinox development mailing list
Subject: RE: [equinox-dev] Trying to use DS

 


John,

Can you tell us what you want/need in your adapter?  As Tom pointed out, we are in the midst of refactoring the adapter layer to make things more flexible.  It would be great to take your usecases into account.

Jeff


"John Wells" <jwells@xxxxxxx>
Sent by: equinox-dev-bounces@xxxxxxxxxxx

01/26/2006 11:49 AM

Please respond to
Equinox development mailing list

To

"Equinox development mailing list" <equinox-dev@xxxxxxxxxxx>

cc

 

Subject

RE: [equinox-dev] Trying to use DS

 

 

 




We are also using our own adapter based on:
 
org.eclipse.osgi.framework.internal.defaultadaptor.DefaultAdaptor
 
Is that the problem?  Do we have to somehow tell it to offer the XML parser service?
 
John Wells (Aziz)
jwells@xxxxxxxxxxxxx
 

 



From: equinox-dev-bounces@xxxxxxxxxxx [mailto:equinox-dev-bounces@xxxxxxxxxxx] On Behalf Of John Wells
Sent:
Thursday, January 26, 2006 11:40 AM
To:
Equinox development mailing list
Subject:
RE: [equinox-dev] Trying to use DS

 
$ java -version
java version "1.5.0_06"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_06-b05)
Java HotSpot(TM) Client VM (build 1.5.0_06-b05, mixed mode, sharing)
 
Could I install an XML parser service to get around this?  How can I fix this problem?
 
John Wells (Aziz)
jwells@xxxxxxxxxxxxx
 

 



From: equinox-dev-bounces@xxxxxxxxxxx [mailto:equinox-dev-bounces@xxxxxxxxxxx] On Behalf Of Roy Paterson
Sent:
Thursday, January 26, 2006 11:34 AM
To:
Equinox development mailing list
Subject:
RE: [equinox-dev] Trying to use DS

 

Looks like you don't have an XML Parser service available.  You're right that there should be a better error message.  Probably eclipse bugzilla would be the best place to report it.


The XML Parser service is usually registered by the system bundle if you're running on J2SE.  What JVM/JCL are you running on?


Roy


-----------------------------------------
Roy Paterson
IBM Pervasive Computing
Austin, TX
Phone: (512) 838-8898

"John Wells" <jwells@xxxxxxx>
Sent by: equinox-dev-bounces@xxxxxxxxxxx

01/26/2006 10:27 AM

 

Please respond to
Equinox development mailing list <equinox-dev@xxxxxxxxxxx>

 

To

"Equinox development mailing list" <equinox-dev@xxxxxxxxxxx>

cc

 

Subject

RE: [equinox-dev] Trying to use DS


 

 

 

 





Thanks.

 
I actually figured that out five minutes after sending the message (of course).  Now however I am running across this:

 
SEVERE: Bundle org.eclipse.equinox.ds: Error: java.lang.NullPointerException

java.lang.NullPointerException

       at org.eclipse.equinox.ds.parser.Parser.parseComponentDescription(Parser

.java:106)

       at org.eclipse.equinox.ds.parser.Parser.getComponentDescriptions(Parser.

java:59)

       at org.eclipse.equinox.ds.model.ComponentDescriptionCache.getComponentDe

scriptions(ComponentDescriptionCache.java:108)

       at org.eclipse.equinox.ds.Activator.addingBundle(Activator.java:142)

       at org.eclipse.equinox.ds.tracker.BundleTracker$Tracked.track(BundleTrac

ker.java:294)

       at org.eclipse.equinox.ds.tracker.BundleTracker$Tracked.bundleChanged(Bu

ndleTracker.java:237)

       at org.eclipse.osgi.framework.internal.core.BundleContextImpl.dispatchEv

ent(BundleContextImpl.java:1205)

       at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventM

anager.java:189)

       at org.eclipse.osgi.framework.eventmgr.ListenerQueue.dispatchEventSynchr

onous(ListenerQueue.java:141)

       at org.eclipse.osgi.framework.internal.core.Framework.publishBundleEvent

Privileged(Framework.java:1474)

       at org.eclipse.osgi.framework.internal.core.Framework.publishBundleEvent

(Framework.java:1425)

 
I am trying to figure out what field I need to fill in in order to avoid this NPE.

 
Also, this should be a bug somewhere.  How do I file one?

 
John Wells (Aziz)

jwells@xxxxxxxxxxxxx

 


 




From:
equinox-dev-bounces@xxxxxxxxxxx [mailto:equinox-dev-bounces@xxxxxxxxxxx] On Behalf Of Roy Paterson
Sent:
Thursday, January 26, 2006 11:14 AM
To:
Equinox development mailing list
Subject:
Re: [equinox-dev] Trying to use DS

 

DS uses CM if it is available but does not require it.  It does require the api package, but you can get that from the org.eclipse.osgi.services plugin.  Likewise the org.eclipse.osgi.services plugin includes org.osgi.services.component, which is the DS api package.


Regards,

Roy

-----------------------------------------
Roy Paterson
IBM Pervasive Computing
Austin, TX
Phone: (512) 838-8898

"John Wells" <jwells@xxxxxxx>
Sent by: equinox-dev-bounces@xxxxxxxxxxx

01/26/2006 10:09 AM

 

 

Please respond to
Equinox development mailing list <equinox-dev@xxxxxxxxxxx>

 

 

To

"Equinox development mailing list" <equinox-dev@xxxxxxxxxxx>

cc

 

Subject

[equinox-dev] Trying to use DS



 

 

 

 

 





I am trying to use DS.  I ran into some trouble:


First, it wouldn’t start because it was looking for the configuration manager import package.  Since Equinox will not be providing that service, I used a bundle from knopflerfish in order to get the CM service.  Then it would not activate due to this:


Error starting bundle: org.osgi.framework.BundleException: The bundle could not

be resolved. Reason: Missing Constraint: Import-Package: org.osgi.service.compon

ent; version="0.0.0"


Where am I supposed to be getting that from?


John Wells (Aziz)

jwells@xxxxxxxxxxxxx

 

The contents of this e-mail are intended for the named addressee only. It contains information that may be confidential. Unless you are the named addressee or an authorized designee, you may not copy or use it, or disclose it to anyone else. If you received it in error please notify us immediately and then destroy it.

_______________________________________________
equinox-dev mailing list
equinox-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/equinox-dev_______________________________________________
equinox-dev mailing list
equinox-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/equinox-dev_______________________________________________
equinox-dev mailing list
equinox-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/equinox-dev